Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
PCMCIA ISDN card A1 by AVM : (
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
Freanan
Tux's lil' helper
Tux's lil' helper


Joined: 14 Feb 2005
Posts: 113
Location: Esthal, Pfalz, Germany

PostPosted: Tue Feb 15, 2005 12:40 pm    Post subject: PCMCIA ISDN card A1 by AVM : ( Reply with quote

Hello to this forum!

I installed gentoo some days ago on my laptop.
I used the 2.6.9 kernel (ie the recent "development-sources") and using make menuconfig i made a kernel that includes all the modules in this howto: (http://www.eischer.net/Linux/avm_a1_v2.html - it is german but there still is my config or the lines i added) and of course also pcmcia-support in general.

In the beginning my config files were not fitting the description in the howto and i think my kernel also lacked one of the modules - but after fixing this nothing had changed. -There was not even a new error message which would have been a humble success for me at least.

This are the messages considering the card that i get during boot:

Code:

Feb 14 22:31:10 [kernel] ISDN subsystem Rev: 1.1.2.3/1.1.2.3/1.1.2.2/none/none/1.1.2.2
Feb 14 22:31:10 [kernel] CAPI Subsystem Rev 1.1.2.8
Feb 14 22:31:10 [kernel] HiSax: Linux Driver for passive ISDN cards
Feb 14 22:31:10 [kernel] HiSax: Version 3.5 (kernel)
Feb 14 22:31:10 [kernel] HiSax: Layer1 Revision 2.46.2.5
Feb 14 22:31:10 [kernel] HiSax: Layer2 Revision 2.30.2.4
Feb 14 22:31:10 [kernel] HiSax: TeiMgr Revision 2.20.2.3
Feb 14 22:31:10 [kernel] HiSax: Layer3 Revision 2.22.2.3
Feb 14 22:31:10 [kernel] HiSax: LinkLayer Revision 2.59.2.4
Feb 14 22:31:10 [kernel] HiSax: Card 1 Protocol EDSS1 Id=HiSax (0)
Feb 14 22:31:10 [kernel] HiSax: AVM A1 PCMCIA driver Rev. 2.9.2.5
Feb 14 22:31:10 [kernel] AVM A1 PCMCIA: io 0x170 irq 11 model 160 version 80
Feb 14 22:31:10 [kernel] AVM A1 PCMCIA: ISAC version (0): 2086/2186 V1.1
Feb 14 22:31:10 [kernel] AVM A1 PCMCIA: HSCX version A: A1  B: A1
Feb 14 22:31:10 [kernel] AVM A1 PCMCIA: wrong HSCX versions check IO address


(somewhere later the cardmgr tool complains about finding no sockets and ask me if i am sure that i have any pcmcia modules installed)

I think it is strange that it says "irq11" instead of irq3 - might this be the problem? And how do i make it using the right irq?
I also do not know what HSCX is (google results make me think it is some kind of chipset) and what i can do about that.

But under my knoppix-linux -hdinstall that is in the other partition of my harddisk, isdn works very well (after i installed a new driver, because there was none included back in the 2.4 kernel, and changed some other things).

I am running out of ideas now what i could do... please help me if you can!

Note:
Right now i also notice that the io-adress in the messages above is wrong as well (should be 0x140)! This might be the reason for the problem? If it is please tell me how to change it...!
Back to top
View user's profile Send private message
jbjoret
n00b
n00b


Joined: 31 Aug 2004
Posts: 28
Location: Germany

PostPosted: Tue Apr 12, 2005 12:54 pm    Post subject: Reply with quote

Did you find a way to fix this ? I have been trying for the last 3 days. Same problem, I have shut down ACPI, but it does not make a difference. I think that I tried everything possible.
_________________
Gentoo Kernel 2.6.10-r7 / Xorg 6.8.2-r1 / Gnome 2.8.3-r1 on a Thinkpad A22p (512 MB / 2x80 Gb / ATI M3 / Pentium III 1,0 Ghz)
Back to top
View user's profile Send private message
sebastianm
n00b
n00b


Joined: 06 Jun 2005
Posts: 16
Location: Germany, Moenchengladbach

PostPosted: Fri Jun 10, 2005 12:44 pm    Post subject: Reply with quote

I got a very similar message with exactly the same error when trying to get HiSax to work with my Fritz! PCMCIA card. Any success in getting rid of that ugly message? I thought of setting the io to another value but I don't know where to do this? Got any conf-file to search in?
Back to top
View user's profile Send private message
sebastianm
n00b
n00b


Joined: 06 Jun 2005
Posts: 16
Location: Germany, Moenchengladbach

PostPosted: Sat Jun 11, 2005 8:29 am    Post subject: Reply with quote

Finally got aware of this message by loading HiSax as a module with:

Code:
modprobe hisax type=26 io=0x140 irq=11


where 0x140 has to be free.

As I did this, I came to the next problem: When inserting the PCMCIA card this error appears (found with dmesg):

Code:
HiSax: DSS1 Rev. 2.32.2.3
HiSax: 2 channels added
HiSax: MAX_WAITING_CALLS added
HiSax: if_command 6 called with invalid driverId 0!
HiSax: if_command 6 called with invalid driverId 0!


Any ideas? Downgrading the isdn4k-utils to a stable version did not help...
Back to top
View user's profile Send private message
Freanan
Tux's lil' helper
Tux's lil' helper


Joined: 14 Feb 2005
Posts: 113
Location: Esthal, Pfalz, Germany

PostPosted: Sat Jun 11, 2005 9:19 am    Post subject: Reply with quote

I gave up trying to use HiSax altogether and got the card running with capi according to the instructions in this thread:
https://forums.gentoo.org/viewtopic-t-246457-highlight-.html
But if you already upgreated to 2.6.11 capi will probably not work for this card - still there are also instructions about HiSax in the end of the thread.
I decided not to upgreat my kernel untill there is a version that supports my isdn card with capi...
Back to top
View user's profile Send private message
sebastianm
n00b
n00b


Joined: 06 Jun 2005
Posts: 16
Location: Germany, Moenchengladbach

PostPosted: Sat Jun 11, 2005 12:44 pm    Post subject: Reply with quote

Thanks for the link, but if you have a look at the thread you linked here, you'll see that I just linked that thread here in your link yesterday :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum